Arbor 3: FSM & BT Graph Editor 3.7.0

Public Member Functions | Protected Member Functions | Properties | List of all members
Calculator Class Reference

Class that defines the behavior of the State. More...

Inheritance diagram for Calculator:

## Public Member Functions
virtual bool | OnCheckDirty ()
| It is called when judging whether it has been changed. More...
void | SetDirty ()
| Call if you want call OnCalculate. More...
void | Calculate ()
| It is calculated, if necessary. More...
virtual void | OnCalculate ()
| It called when it is calculated . More...
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| For internal. More...
DataSlotField | GetDataSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetDataSlotField (DataSlot slot, bool rebuild=false)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| Get DataSlotField. More...
void | RebuildDataSlotFields ()
| Rebuild the DataSlotField. More...
void | RebuildCalculatorSlotFields ()
| Rebuild the DataSlotField. More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| For Editor. More...
void | UpdateDataLink ()
| Manually update DataLink values. More...

## Protected Member Functions
virtual void | Awake ()
| This function is called when the script instance is being loaded. More...
virtual void | OnDestroy ()
| This function is called when MonoBehaivour will be destroyed. More...
override void | OnValidate ()
| This function is called when the script is loaded or a value is changed in the inspector (Called in the editor only). More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnCreated ()
| Raises the created event. More...
virtual void | OnInitializeEnabled ()
| Called to perform enabled initialization. More...
virtual void | OnPreDestroy ()
| Raises the pre destroy event. More...
virtual void | OnGraphPause ()
| This function is called when the graph is paused. More...
virtual void | OnGraphResume ()
| This function is called when the graph resumes. More...
virtual void | OnGraphStop ()
| This function is called when the graph stops. More...

## Properties
CalculatorNode | calculatorNode`[get]`
| Get the CalculatorNode. More...
int | calculatorID`[get]`
| Gets the Calculator identifier. More...
bool | isDirty`[get]`
| Whether it has been changed. More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...
Node | node`[get]`
| Get the Node. More...
int | dataSlotFieldCount`[get]`
| Number of DataSlotField More...
int | calculatorSlotFieldCount`[get]`
| Number of DataSlotField More...

## Additional Inherited Members
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| For Editor. More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| For Editor. More...
static void | Destroy (NodeBehaviour behaviour)
| Destroy NodeBehaviour. More...

## Detailed Description

Class that defines the behavior of the State.

Inherited and to use.

Available Attributes :

- AddBehaviourMenu
- HideBehaviour
- BehaviourTitle
- BehaviourHelp

## Member Function Documentation

## ◆ Awake()

virtual void Awake | ( |  | ) |
| protected virtual

This function is called when the script instance is being loaded.

## ◆ Calculate()

void Calculate | ( |  | ) |

It is calculated, if necessary.

## ◆ OnCalculate()

virtual void OnCalculate | ( |  | ) |
| virtual

It called when it is calculated .

Reimplemented in GetParameterCalculatorInternal.

## ◆ OnCheckDirty()

virtual bool OnCheckDirty | ( |  | ) |
| virtual

It is called when judging whether it has been changed.

Returns
  Returns true if it has been changed, false otherwise.

## ◆ OnDestroy()

virtual void OnDestroy | ( |  | ) |
| protected virtual

This function is called when MonoBehaivour will be destroyed.

## ◆ OnValidate()

override void OnValidate | ( |  | ) |
| protected virtual

This function is called when the script is loaded or a value is changed in the inspector (Called in the editor only).

Reimplemented from NodeBehaviour.

## ◆ SetDirty()

void SetDirty | ( |  | ) |

Call if you want call OnCalculate.

## Property Documentation

## ◆ calculatorID

int calculatorID
| get

Gets the Calculator identifier.

## ◆ calculatorNode

CalculatorNode calculatorNode
| get

Get the CalculatorNode.

## ◆ isDirty

bool isDirty
| get

Whether it has been changed.